commit:     75ad8799e41af849bbcbf7da0d7280bfb5ecd0c4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 21 07:58:42 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 21 08:01:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75ad8799

dev-python/testfixtures: Bump to 6.18.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/testfixtures/Manifest                   |  1 +
 dev-python/testfixtures/testfixtures-6.18.1.ebuild | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/testfixtures/Manifest b/dev-python/testfixtures/Manifest
index 55cee461e18..6e96254c940 100644
--- a/dev-python/testfixtures/Manifest
+++ b/dev-python/testfixtures/Manifest
@@ -1 +1,2 @@
 DIST testfixtures-6.18.0.tar.gz 121584 BLAKE2B 
abf90012fe79d148c44d72a8aaa5277c95a33933c7b753eecdcaeb11279b4439ad9ea394270e440d9681c22789a17738d367b66adf3d04cf6e6289713c1ead59
 SHA512 
e6552e6b1837ae4ee4754ce3675bdbf2a68d8e46b892382bd8320290050f2c296348ef6310ce3ff46962bf1978c351fe2cdb853a73c9f800f68818f81d5caec9
+DIST testfixtures-6.18.1.tar.gz 121731 BLAKE2B 
c31873d3ebbe47d5d3035d6aaaf674472efb32b061080df711ee558bf91d1b01d417ded4eaebf7436132fd7b9233437e735fa60dee47777d032fc1b610fd1de3
 SHA512 
088c6480eecc9862e91a0188ab45620be3d8f8898ebb284dc932155fffbd9f75ebbab9425fe4db8dee75ee8fcf82d8c27b950a3f9298e9f7ca420744c65edd91

diff --git a/dev-python/testfixtures/testfixtures-6.18.1.ebuild 
b/dev-python/testfixtures/testfixtures-6.18.1.ebuild
new file mode 100644
index 00000000000..a0872c1838e
--- /dev/null
+++ b/dev-python/testfixtures/testfixtures-6.18.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="A collection of helpers and mock objects for unit tests and doc 
tests"
+HOMEPAGE="https://pypi.org/project/testfixtures/ 
https://github.com/Simplistix/testfixtures";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/django[${PYTHON_USEDEP}]
+               dev-python/pytest-django[${PYTHON_USEDEP}]
+               dev-python/sybil[${PYTHON_USEDEP}]
+               >=dev-python/twisted-18[${PYTHON_USEDEP}]
+               dev-python/zope-component[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # kill weird way of declaring build deps
+       sed -e '/build=/d' -i setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTHONPATH="."
+       local -x DJANGO_SETTINGS_MODULE=testfixtures.tests.test_django.settings
+       epytest -Wignore::DeprecationWarning
+}

Reply via email to